Last modified: 2008-12-09 13:31:10 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15428 - Article name shouldn't be highlighted in the content on the irc feed
Article name shouldn't be highlighted in the content on the irc feed
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.14.x
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Aaron Schulz
:
Depends on:
Blocks: 16599
  Show dependency treegraph
 
Reported: 2008-09-01 19:50 UTC by Platonides
Modified: 2008-12-09 13:31 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Platonides 2008-09-01 19:50:16 UTC
<rc> 14[[07Especial:Log/delete14]]4 delete10 02 5* 03Antur 5*  10«[[02FIFA10]]» borrado: Sin contenido académico: El contenido era: '[[Imagen:02FIFA10_Kontinentalverbaende.png|thumb|250px|La 02FIFA10 tiene seis confederaciones continentales afiliadas.]]  La '''Fédération internationale de...' (y el único autor fue '[[Special:Contributions/190.30.129.186|190.30.129.186]]')
Comment 1 Platonides 2008-09-01 19:54:42 UTC
The above message was produced in the irc feeds. As you can see (or could if it was presented better), the word FIFA (the article name) is highlighted in the summary which comes from the content. Even though it's not related. It should only be highlighted the first time.
The way to fix it I see is by substituting the str_replace on RecentChange.php:605 with a regex stoppping at the first colon, but perhaps someone has a better alternative?
Comment 2 Aaron Schulz 2008-10-11 23:25:57 UTC
Maybe some look-aheads are in order. [[x]] links should still be colored (for consistency).
Comment 3 Aaron Schulz 2008-10-11 23:27:11 UTC
(In reply to comment #2)
> Maybe some look-aheads are in order. [[x]] links should still be colored (for
> consistency).
> 

Actually, that could use str_replace
Comment 4 Aaron Schulz 2008-10-11 23:31:29 UTC
Fixed in r41980, it highlights [[x]] links now, rather than anything x.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links